import { Theme } from '@material-ui/core/styles'
import { createStyles } from '@material-ui/styles'

import sharedStyles from '../shared-styles'

// eslint-disable-next-line
export default (theme: Theme) =>
  createStyles({
    ...sharedStyles(theme),
    form: {
      '& .MuiTextField-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
      '& .MuiFormControl-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
      '& .MuiFormControlLabel-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
    },
  })
